Skip to content

Remove Users & Groups from Roles on Object Records

Remove users and groups from roles on an object record in bulk.

  • The maximum CSV input file size is 1GB.
  • The values in the input must be UTF-8 encoded.
  • CSVs must follow the standard RFC 4180 format, with some exceptions.
  • The maximum batch size is 500.
DELETE/api/{version}/vobjects/{object_name}/roles
NameDescription
Content-Typetext/csv or application/json
Acceptapplication/json (default), text/csv, or application/xml
NameDescription
{object_name}The name of the object where you want to remove roles.

Prepare a JSON or CSV input file. Users and groups are ignored if they are invalid or inactive.

NameDescription
id
required
The object record ID.
role__v.users
optional
A string of user id values to remove.
role__v.groups
optional
A string of group id values to remove.

See Example JSON Request Body in the right-hand column, or click the button below to download a sample CSV input file.

Download Input File
curl -X POST -H "Authorization: {SESSION_ID}" \ -H "Content-Type: text/csv" \ -H "Accept: text/csv" \ --data-binary @"C:\Vault\Roles\remove_object_record_roles.csv" \ https://myvault.veevavault.com/api/v23.2/vobjects/campaign__c/roles
{ "responseStatus": "SUCCESS", "data": [ { "responseStatus": "SUCCESS", "data": { "id": "OBE000000000412" } } ] }
[ { "id": "OBE000000000412", "roles": [ { "role": "content_creator__c", "users": "61590" } ] } ]

On SUCCESS, The response includes the object record id.